import { SYSTEM } from "../config/system.mjs"

export default class HamalronArme extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields
    const schema = {}
    const requiredInteger = { required: true, nullable: false, integer: true }

    schema.description = new fields.HTMLField({ required: true, textSearch: true })

    schema.weaponType = new fields.StringField({ required: true, initial: "melee", choices: Object.fromEntries(Object.entries(SYSTEM.WEAPON_TYPES).map(([key, val]) => [key, val.label])) })
    schema.cout = new fields.NumberField({ required: true, initial: 0, min: 0 })

    return schema
  }

  /** @override */
  static LOCALIZATION_PREFIXES = ["HAMALRON.Arme"]

  prepareDerivedData() {
    super.prepareDerivedData();
  }

}
